import { lineNumbers, highlightActiveLineGutter, highlightSpecialChars, drawSelection, dropCursor, rectangularSelection, crosshairCursor, highlightActiveLine, keymap } from "../../@codemirror/view/dist/index.mjs";
import { EditorView } from "../../@codemirror/view/dist/index.mjs";
import { EditorState } from "../../@codemirror/state/dist/index.mjs";
import { foldGutter, indentOnInput, syntaxHighlighting, bracketMatching, foldKeymap, defaultHighlightStyle } from "../../@codemirror/language/dist/index.mjs";
import { history, defaultKeymap, historyKeymap } from "../../@codemirror/commands/dist/index.mjs";
import { highlightSelectionMatches, searchKeymap } from "../../@codemirror/search/dist/index.mjs";
import { closeBrackets, autocompletion, closeBracketsKeymap, completionKeymap } from "../../@codemirror/autocomplete/dist/index.mjs";
import { lintKeymap } from "../../@codemirror/lint/dist/index.mjs";
const basicSetup = /* @__PURE__ */ (() => [
  lineNumbers(),
  highlightActiveLineGutter(),
  highlightSpecialChars(),
  history(),
  foldGutter(),
  drawSelection(),
  dropCursor(),
  EditorState.allowMultipleSelections.of(true),
  indentOnInput(),
  syntaxHighlighting(defaultHighlightStyle, { fallback: true }),
  bracketMatching(),
  closeBrackets(),
  autocompletion(),
  rectangularSelection(),
  crosshairCursor(),
  highlightActiveLine(),
  highlightSelectionMatches(),
  keymap.of([
    ...closeBracketsKeymap,
    ...defaultKeymap,
    ...searchKeymap,
    ...historyKeymap,
    ...foldKeymap,
    ...completionKeymap,
    ...lintKeymap
  ])
])();
export {
  EditorView,
  basicSetup
};
